import { LitElement } from 'lit';
export declare const ICON_HIVE = "icon-hive";
export declare class IconHiveComponent extends LitElement {
    static readonly defaultTagName = "icon-hive";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
